Package: org.codehaus.groovy.control.customizers.builder

## [Java] Class SourceAwareCustomizerFactory.SourceOptions

- org.codehaus.groovy.control.customizers.builder.SourceAwareCustomizerFactory.SourceOptions

-     public static class SourceAwareCustomizerFactory.SourceOptions
      extends Object

  Collected builder options used to create a SourceAwareCustomizer.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `String` | `basename` | Single accepted base file name.
    `Closure<Boolean>` | `basenameValidator` | Validator for base file names.
    `List<String>` | `basenames` | Accepted base file names.
    `Closure<Boolean>` | `classValidator` | Validator for class nodes.
    `CompilationCustomizer` | `delegate` | Delegate customizer to invoke when the source matches.
    `String` | `extension` | Single accepted file extension.
    `Closure<Boolean>` | `extensionValidator` | Validator for file extensions.
    `List<String>` | `extensions` | Accepted file extensions.
    `Closure<Boolean>` | `unitValidator` | Validator for source units.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public String basename

      Single accepted base file name.

    - #### public Closure<Boolean> basenameValidator

      Validator for base file names.

    - #### public List<String> basenames

      Accepted base file names.

    - #### public Closure<Boolean> classValidator

      Validator for class nodes.

    - #### public CompilationCustomizer delegate

      Delegate customizer to invoke when the source matches.

    - #### public String extension

      Single accepted file extension.

    - #### public Closure<Boolean> extensionValidator

      Validator for file extensions.

    - #### public List<String> extensions

      Accepted file extensions.

    - #### public Closure<Boolean> unitValidator

      Validator for source units.